Package org.eclipse.rdf4j.query

## Interface Dataset

- All Known Implementing Classes:
    `DatasetImpl`, `FallbackDataset`, `FedXDataset`, `SimpleDataset`

      public interface Dataset

  Represents a dataset against which operations can be evaluated. A dataset consists of a default graph for read and using operations, which is the RDF merge of one or more graphs, a set of named graphs, and a single update graph for INSERT and DELETE. See SPARQL Query Language for RDF for more info.
  Author:
    Simon Schenk, Arjohn Kampman, James Leigh

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Set<IRI>` | `getDefaultGraphs()` | Gets the default graph URIs of this dataset.
    `IRI` | `getDefaultInsertGraph()` | Gets the default insert graph URI of this dataset.
    `Set<IRI>` | `getDefaultRemoveGraphs()` | Gets the default remove graph URIs of this dataset.
    `Set<IRI>` | `getNamedGraphs()` | Gets the named graph URIs of this dataset.

- - ### Method Detail

    - #### getDefaultRemoveGraphs

          Set<IRI> getDefaultRemoveGraphs()

      Gets the default remove graph URIs of this dataset. An empty set indicates the the store's default behaviour should be used, if not otherwise indicated in the operation.

    - #### getDefaultInsertGraph

          IRI getDefaultInsertGraph()

      Gets the default insert graph URI of this dataset. An null value indicates that the store's default behaviour should be used, if not otherwise indicated in the operation.

    - #### getDefaultGraphs

          Set<IRI> getDefaultGraphs()

      Gets the default graph URIs of this dataset. An empty default graph set and a non-empty named graph set indicates that the default graph is an empty graph. However, if both the default graph set and the named graph set are empty, that indicates that the store's default behaviour should be used.

    - #### getNamedGraphs

          Set<IRI> getNamedGraphs()

      Gets the named graph URIs of this dataset. An empty named graph set and a non-empty default graph set indicates that there are no named graphs. However, if both the default graph set and the named graph set are empty, that indicates that the store's default behaviour should be used.